Debian Bug report logs - #699608
ITP: libcarp-fix-1-25-perl -- Smooth over incompatible changes in Carp 1.25

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Xavier Guimard <x.guimard@free.fr>

Date: Sat, 2 Feb 2013 12:09:02 UTC

Owned by: Xavier Guimard <x.guimard@free.fr>

Severity: wishlist

Fixed in version libcarp-fix-1-25-perl/1.000001-1

Done: Xavier Guimard <x.guimard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#699608; Package wnpp. (Sat, 02 Feb 2013 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Guimard <x.guimard@free.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 02 Feb 2013 12:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Xavier Guimard <x.guimard@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcarp-fix-1-25-perl -- Smooth over incompatible changes in Carp 1.25
Date: Sat, 02 Feb 2013 13:04:46 +0100
Package: wnpp
Severity: wishlist
Owner: Xavier Guimard <x.guimard@free.fr>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : libcarp-fix-1-25-perl
  Version         : 1.000001
  Upstream Author : Michael G Schwern <schwern@pobox.com>
* URL             : http://search.cpan.org/~mschwern/Carp-Fix-1_25-1.000001/
* License         : Artistic OR GPL-1+
  Programming Lang: Perl
  Description     : Smooth over incompatible changes in Carp 1.25

Carp 1.25 made a change to its formatting, adding a period at the end
of the message. This can mess up tests and code that are looking for
error messages. Carp::Fix::1_25 makes the message consistent, regardless
of what version of Carp you're using.

Carp::Fix::1_25 exports its own carp functions which change the Carp
message to match the 1.25 version. Carp::Fix::1_25 otherwise acts exactly
like Carp and it will honor Carp global variables|Carp/GLOBAL VARIABLES
such as @CARP_NOT and %Carp::Internal.

Why do this instead of just upgrading Carp? Upgrading Carp would affect
all installed code all at once. You might not be ready for that, or you
might not want your module to foist that on its users. This lets you fix
things one namespace at a time.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlENANUACgkQZ9okSKmj7dWcpACfUlsRHZJyWR5fjkcN0VLEmbt8
/CQAoNGpcSVzeQJvczNsQJBhDTw6EtE4
=i2UN
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 10 Feb 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Xavier Guimard <x.guimard@free.fr>:
You have taken responsibility. (Mon, 01 Apr 2013 13:03:15 GMT) Full text and rfc822 format available.

Notification sent to Xavier Guimard <x.guimard@free.fr>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 13:03:15 GMT) Full text and rfc822 format available.

Message #12 received at 699608-close@bugs.debian.org (full text, mbox):

From: Xavier Guimard <x.guimard@free.fr>
To: 699608-close@bugs.debian.org
Subject: Bug#699608: fixed in libcarp-fix-1-25-perl 1.000001-1
Date: Mon, 01 Apr 2013 13:00:04 +0000
Source: libcarp-fix-1-25-perl
Source-Version: 1.000001-1

We believe that the bug you reported is fixed in the latest version of
libcarp-fix-1-25-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699608@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Guimard <x.guimard@free.fr> (supplier of updated libcarp-fix-1-25-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 10 Feb 2013 08:00:48 +0100
Source: libcarp-fix-1-25-perl
Binary: libcarp-fix-1-25-perl
Architecture: source all
Version: 1.000001-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Xavier Guimard <x.guimard@free.fr>
Description: 
 libcarp-fix-1-25-perl - Perl module to smooth over incompatible changes in Carp 1.25
Closes: 699608
Changes: 
 libcarp-fix-1-25-perl (1.000001-1) unstable; urgency=low
 .
   * Initial Release (Closes: #699608)
Checksums-Sha1: 
 694c670a97c07f69971965a6dccfdcf36e6a483b 2097 libcarp-fix-1-25-perl_1.000001-1.dsc
 d10811761e3b338484de866bd39e804b7b1be8a6 69920 libcarp-fix-1-25-perl_1.000001.orig.tar.gz
 42f17ddaaa33044c9190d6f247c6a9f514124910 1801 libcarp-fix-1-25-perl_1.000001-1.debian.tar.gz
 c5da932ac2b0e5015c543aecccd387d39cf21361 6968 libcarp-fix-1-25-perl_1.000001-1_all.deb
Checksums-Sha256: 
 164d7f18df496e44a7d7ee22ea0ba30c2077f8b1ef20bd749081adaa2f40e523 2097 libcarp-fix-1-25-perl_1.000001-1.dsc
 241ebd75dbbd6564a0430a9c413caf9805ea27e94bce5034fb85b33b5e26984a 69920 libcarp-fix-1-25-perl_1.000001.orig.tar.gz
 9b9ee9a6bd01bc063bfb224200fc48154f43ac9773e2542a1fa58bec00e8390e 1801 libcarp-fix-1-25-perl_1.000001-1.debian.tar.gz
 2a4fbc8a48665795d9555ea871e31ff3e952caddb18f3435536bcdc72e87fde6 6968 libcarp-fix-1-25-perl_1.000001-1_all.deb
Files: 
 3c0f203feb04ae03b0e5bedbbc961715 2097 perl optional libcarp-fix-1-25-perl_1.000001-1.dsc
 7cd8279b4251a4d3694e0a08f08030cb 69920 perl optional libcarp-fix-1-25-perl_1.000001.orig.tar.gz
 7777a4d31d82b11de72af1f1b61d8f0e 1801 perl optional libcarp-fix-1-25-perl_1.000001-1.debian.tar.gz
 ca3bd3b5f7424b2c43e6af09ddf7deb2 6968 perl optional libcarp-fix-1-25-perl_1.000001-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRF6U0AAoJELs6aAGGSaoG0KwQAIkZwvcmGto4L7nuhVQAKaPB
Iohfs2Xt+3h3IeKRL0iz5xEvY8vFZwZ7sW3cW+GEfTd3TBukC5iIfpstxRSNMXul
a0cLK4LwliQFbUq+u4krkuQ4pyxHy+dsJZFXlZ9KR0U1ysE7yMGsLpGtNcvrCkLs
/LLnz2XtuyjS4L3RYaCpPCMcW4smJhxLVV7DqYhXZET7qbkDh7XRLPJHLf4/o8S/
kGMkD6vFbfYL0FBR13G+jVbo5+hnCwK19QX95xIEJVVnzDIr0tvj0RZRK2lx47Gb
YWQ5e7kuq6FVtZqBmio4vPVnFqE8kzYEAwLvde9+OUTPV+faHjePzsKpFYPTRBOa
FocdrTKQ+JzEGgnyVleWAxMc7GCAAakC+5/F8K6guac5d1ikQxCtvrLaNRraG0Th
MJtomOc1XCHkmCDEwZ90SpQyunIcsCUO4oHFmBz4mFmVjg1iS5admOE1GeNoFWWl
yW1flO6gNFKHmNJoBzViCcwmL2Jcl/L0DdA+697T/uklGYRnGpTceHqd3lAggYX2
D1kK0Nu2QaH1CO3PnuQIUmJsGd02tnGBRnWe/G4q0Fyy3PmuTfEURxetUhF71gxM
wXTP18RDf+uG8h1mBaiIdtly5uZV81YI7x25JWul5P9pUub6k4BJE4pxhzJKl6YD
tp6wsrUeqZXp75DkmWxI
=AJKY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Apr 2013 07:26:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:50:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.